#ifndef SYNTAX_H
#define SYNTAX_H
enum SyntaxElementType {
	TOPTREE,
	TREE,
	TOKEN,
	STRING,
	NUMBER,
	NONE
};

struct SyntaxElement {
	enum SyntaxElementType type;
	void* content;
	struct SyntaxElement* next;
	struct SyntaxElement* top;
};

void se_clean(struct SyntaxElement* syntaxtree);
struct SyntaxElement* se_create(void);
struct SyntaxElement* se_init(void);
struct SyntaxElement* se_bottom(struct SyntaxElement* syntaxelement);
struct SyntaxElement* se_next(struct SyntaxElement* syntaxelement);
void se_free(struct SyntaxElement* syntaxtree);
#endif
